EDIT - bug #9878

show MediaSpecimen media source citations in registration items
11/22/2021 06:02 PM - Wolf-Henning Kusber

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-vaadin Estimated time: 0:00 hour
Target version: Release 5.29

Severity: major Found in Version:

Description

If lectotype= published image, image reference and refdetail not shown.

see marked areas for Vaadin

¢, C., Krieni . & Guiry, .R. 2021: d treatment of Reinsch enastrum taxa and M strum with remarks on their original material and
Notulae Algarum

Registrations
NameType: lectotype: Selenastrum bibraianum Reinsch
& curator

Name: Messastrum gracile (Reinsch) T.Garcia
& curator

Type: lectotype: [icon] in
& curator

Type: lectotype: [icon] in
& curator

For the production portal:
PhycoBank

Home Index search

Search Selenastrum bibraianum Reinsch

Filter -
Selenastrum bibraianum Reinsch in Abh. Naturhist. Ges. NlUrnberg 6(2): 64, t. 4, fig. 2. Oct 1867

|Ident|f|er | Lectotype (designated by Kusber, W.-H., Garcia da Silva, T., Bock, C., Krienitz, L. & Guiry, M.D.R. 2021:

27): Germany, bei Erlangen, P. Reinsch. I'%Q—F 2 [
Scientific name ) Jn:“t }. Z

| | Registrations

Publication Selenastrum bibraianum Reinsch http://phycobank.org/102828 Registration on 2021-11-22 17:52:50

Selenastrum bibraianum Reinsch - Type: Germany, bei Erlangen, P. Reinsch. (lectotype: [icon] in)

Type designation http://phycobank.org/102950 Registration on 2021-11-22 17:48:41

status
- none - " 1. Kusber, W.-H., Garcia da Silva, T., Back, C., Krienitz, L. & Guiry, M.D.R. 2021: Revised treatment of Reinsch's Selenastrum
HSDepltypE taxa and Messastrum with remarks on their original material and molecular analysed reference strains. - Notulae Algarum
Isotype 218: 1-5% Registration: http://phycobank.org/102950, 2021-11-22
not applicable v

Related issues:
Related to EDIT - feature request #9388: show media specimen source in all pages New

Associated revisions

Revision 28538cdf - 11/25/2021 03:26 PM - Andreas Kohlbecker
ref #9878 tagged text crop method

Revision 8b853f4a - 11/25/2021 03:27 PM - Andreas Kohlbecker

ref #9878 restoring media type source citations by making use of tagged text cropping

Revision 9816d977 - 11/25/2021 11:26 PM - Andreas Miiller
ref #9878 fix regex

History

#1 - 11/22/2021 10:19 PM - Andreas Kohlbecker
- Priority changed from New to Highest
- Target version changed from Unassigned CDM tickets to Release 5.45

- Severity changed from normal to major

#2 - 11/25/2021 03:01 PM - Andreas Kohlbecker

- Status changed from New to In Progress

The problem with this issue is that we are suppressing the "designated by ..." reference by just removing all separators and references from the

tagged text. This way we also remove the media source reference, though.

Unfortunately there is no way to distinguish the media source reference and the designation reference. Therefore we need to use the separator text ("
designated by ") to crop the tagged text at this position.
#3 - 11/25/2021 04:23 PM - Andreas Kohlbecker
- Status changed from In Progress to Resolved

- % Done changed from 0 to 50

the issue in the web ui (vaadin) is fixed, the data portal issues are handled in #9388

#4 - 11/25/2021 04:24 PM - Andreas Kohlbecker

- Related to feature request #9388: show media specimen source in all pages added

#5 - 11/25/2021 04:24 PM - Andreas Kohlbecker

- Subject changed from If lectotype= published image, image reference and refdetail not shown to show media specimen media source citations in

registration items

#6 - 11/25/2021 04:25 PM - Andreas Kohlbecker

- Subject changed from show media specimen media source citations in registration items to show MediaSpecimen media source citations in

registration items

#7 - 12/07/2021 03:30 PM - Andreas Kohlbecker

- Assignee changed from Andreas Kohlbecker to Wolf-Henning Kusber

please can you review this ticket? Only the vaadin part is relevant.

#8 - 01/20/2022 03:25 PM - Wolf-Henning Kusber
- Assignee changed from Wolf-Henning Kusber to Andreas Kohlbecker

- % Done changed from 50 to 100

In Vaadin the issue is resolved. The ticket can be closed.

#9 - 01/20/2022 03:52 PM - Andreas Kohlbecker

- Status changed from Resolved to Closed

#10 - 02/15/2022 03:40 PM - Andreas Miiller

- Target version changed from Release 5.45 to Release 5.29

Files

picture271-1.png 68.8 KB 11/22/2021 Wolf-Henning Kusber

picture271-2.png 135 KB 11/22/2021 Wolf-Henning Kusber
04/19/2024 3/3


https://dev.e-taxonomy.eu/redmine/issues/9388
http://www.tcpdf.org

